searchNodes=[{"doc":"This is the base Nerves System configuration for the MangoPi MQ Pro . This is a work in progress. It may change in backwards incompatible ways and the documentation might be lacking. To do: [x] Bring up WiFi [x] Verify Blue PWM LED [?] Fix MicroSD flakiness on boot (works better with 5.19, but random corruption sometimes?) [x] Verify USB host-only port (works with USB Flash drive) [ ] Fix USB gadget mode on OTG port [x] Verify SPI (spidev1.0 and spidev1.1) [ ] Verify I2C [ ] Verify all GPIO work (GPIO inputs seem to work) [x] Verify HW watchdog [x] Check that TARGET_GCC_FLAGS are right [x] Update Linux kernel to 5.18 [x] Implement A/B firmware updates work [x] Use SID for serial number [ ] Reduce prints and shorten boot time [ ] Verify HDMI &lt;sup&gt;[Image credit](#mangopi)&lt;/sup&gt; Feature Description CPU 1 GHz 64 bit RISC-V Memory 512 MB or 1 GB DRAM Storage MicroSD Linux kernel 5.19 w/ patches IEx terminal UART ttyS0 GPIO, I2C, SPI Yes - Elixir Circuits Display Yes, but not supported yet ADC Yes PWM Yes, but no Elixir support UART ttyS0 Camera None Ethernet No WiFi Onboard WiFi RTC No HW Watchdog Yes","ref":"readme.html","title":"MangoPi MQ Pro Support","type":"extras"},{"doc":"The most common way of using this Nerves System is create a project with mix nerves.new and add mangopi references where needed and in a similar way to the default systems like bbb , etc. Then export MIX_TARGET=mangopi . See the Getting started guide for more information. If you need custom modifications to this system for your device, clone this repository and update as described in Making custom systems .","ref":"readme.html#using","title":"MangoPi MQ Pro Support - Using","type":"extras"},{"doc":"This example assumes some familiarity with Nerves. To use this system, you'll need OTP 25. Follow the Nerves installation instructions for additional system dependencies. Creating a new hello world application: mix nerves.new hello_mango cd hello_mango Open up your mix.exs and add :mangopi_mq_pro to the @all_targets list at the top. It's ok to delete targets that you don't plan on using. Then add the :nerves_system_mango_mq_pro dependency to the deps function: { :nerves_system_mangopi_mq_pro , &quot;~&gt; 0.1&quot; , runtime : false , targets : :mangopi_mq_pro } , This will load the latest released version. To use the latest code on the main branch here, add the following line: { :nerves_system_mangopi_mq_pro , runtime : false , targets : :mangopi_mq_pro , nerves : [ compile : true ] , git : &quot;https://github.com/fhunleth/nerves_system_mangopi_mq_pro&quot; , branch : &quot;main&quot; } To build and write to a MicroSD card, run: export MIX_TARGET=mangopi_mq_pro mix deps.get mix firmware mix burn","ref":"readme.html#example-use","title":"MangoPi MQ Pro Support - Example use","type":"extras"},{"doc":"The console is configured to output to the UART on pins 8 and 10 on the 40-pin GPIO connector. This is just like the Raspberry Pi. A 3.3V FTDI cable is needed to access the output.","ref":"readme.html#console-access","title":"MangoPi MQ Pro Support - Console access","type":"extras"},{"doc":"The board has two network interfaces, a WiFi module and a virtual Ethernet on the USB C connector marked &quot;OTG&quot;.","ref":"readme.html#networking","title":"MangoPi MQ Pro Support - Networking","type":"extras"},{"doc":"The most helpful Allwinner D1 information comes from linux-sunxi.org/Allwinner_Nezha . All of the work here wouldn't have been possible with out it. Thanks especially to smaeul's Allwinner D1 Linux fork Here are more useful links: bret.dk's ARMBian post NixOS on D1 YuzukiHD Buildroot Image credit : This image is from mangopi.cc .","ref":"readme.html#thanks","title":"MangoPi MQ Pro Support - Thanks","type":"extras"},{"doc":"This project does NOT follow semantic versioning. The version increases as follows: Major version updates are breaking updates to the build infrastructure. These should be very rare. Minor version updates are made for every major Buildroot release. This may also include Erlang/OTP and Linux kernel updates. These are made four times a year shortly after the Buildroot releases. Patch version updates are made for Buildroot minor releases, Erlang/OTP releases, and Linux kernel updates. They're also made to fix bugs and add features to the build infrastructure.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This release has several updates, but mostly makes it possible to use SPI now. Updates Linux 5.19-rc0 (smauel's wip-d1 Linux branch) SPI1 works now through the GPIO header Clean up DTB handling. The U-Boot device tree is the only one that's used so all patching and building of the Linux one has been removed. Also U-Boot is updated on firmware updates. This isn't good, but it's easier than reburning the MicroSD card every time.","ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras"},{"doc":"This release updates the Linux kernel to 5.18 in the hopes of fixing some Linux kernel flakiness. U-Boot has changed enough that I don't believe that a v0.1.1 image is upgradable. Please rewrite your MicroSD image. Updates Linux 5.18-rc4 (smauel's wip-d1 Linux branch) Switch to the Nezha device tree since upstream updates have fixed the warnings that caused me to create a custom dts. Enable earlycon for earlier logging from Linux","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"The release fixes some issues that made v0.1.0 hard to use. The flaky MMC boot issue is still present. If your board hits it, unplugging and replugging in the MicroSD card has been found to be a more reliable workaround than rebooting. Updates Enable the RISC-V vector extension Fixes Fix compilation warnings when using C standard headers. If a library had -Werror , these would end up breaking Elixir libraries that had C/C++ code. Make sure that the watchdog is active during boot and can't be disabled. This recovers (with a reboot) from some more hangs.","ref":"changelog.html#v0-1-1","title":"Changelog - v0.1.1","type":"extras"},{"doc":"This is the initial release.","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]